VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Pages: [1] 2 3 4

Author Topic: DVDStyler not working.  (Read 11949 times)

Locator

  • Vectorian
  • ****
  • Posts: 767
DVDStyler not working.
« on: October 01, 2012, 07:03:38 am »

I installed DVDStyler using gslapt and tried to run it and nothing happened. I also ran it in terminal mode, and got the following -

doctor:$ dvdstyler
dvdstyler: error while loading shared libraries: libwx_gtk2u_media-2.8.so.0: cannot open shared object file: No such file or directory

So What do I do now?
« Last Edit: December 11, 2012, 04:22:35 pm by Locator »
Logged

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: DVDStyler not working.
« Reply #1 on: October 01, 2012, 04:12:12 pm »

Try the following:

Code: [Select]
ln -s /usr/lib/libwx_gtk2u_media-2.8.so /usr/lib/libwx_gtk2u_media-2.8.so.0
Logged
I am using VL7.0 standard with XFCE

Locator

  • Vectorian
  • ****
  • Posts: 767
Re: DVDStyler not working.
« Reply #2 on: October 01, 2012, 08:21:43 pm »

Exact same result.
Logged

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: DVDStyler not working.
« Reply #3 on: October 02, 2012, 11:49:36 am »

Do you have wxGTK installed?  If not, try to install it and see what happens.  I have dvdstyler installed along with wxGTK.  wxGTK (2.8.11-i586-3vl70) has "libwx_gtk2u_media-2.8.so.0.8.0" as part of its package.  wxsvg should also be installed.
Logged
I am using VL7.0 standard with XFCE

Locator

  • Vectorian
  • ****
  • Posts: 767
Re: DVDStyler not working.
« Reply #4 on: October 02, 2012, 01:39:14 pm »

I have everything installed except the latest version of wxsvg, I keep getting an error message about a dependency failure (I think that it needs ffmpeg 0.10.2)
Logged

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: DVDStyler not working.
« Reply #5 on: October 02, 2012, 04:08:55 pm »

I'm surprised it's not working.  What version are you trying to install?  I have version 2.1-i586-1vl70 of dvdstyler, and I have version 0.10-i586-5vl70 of ffmpeg.
Logged
I am using VL7.0 standard with XFCE

bigpaws

  • Vectorian
  • ****
  • Posts: 1869
Re: DVDStyler not working.
« Reply #6 on: October 02, 2012, 08:01:13 pm »

Perhaps a 64bit version

Bigpaws
Logged

Locator

  • Vectorian
  • ****
  • Posts: 767
Re: DVDStyler not working.
« Reply #7 on: October 03, 2012, 08:10:00 am »

There is no 64bit version of DVDStyler.
Logged

bigpaws

  • Vectorian
  • ****
  • Posts: 1869
Re: DVDStyler not working.
« Reply #8 on: October 03, 2012, 10:30:59 am »

I know that, you have recently been asking about using 64 bit programs.

That is why I asked if this was what you were trying

Bigpaws
Logged

Locator

  • Vectorian
  • ****
  • Posts: 767
Re: DVDStyler not working.
« Reply #9 on: October 03, 2012, 07:48:21 pm »

I have gone back to using Vector Linux 7.0 in the hope of being able to use DVDStyler again - but now I can't get it to work (my previous replies explain what the problem has been).
Logged

Masta

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 725
Re: DVDStyler not working.
« Reply #10 on: October 03, 2012, 09:11:04 pm »

he's right, there is a ffmpeg dep error when selecting to install dvdstyler versions 2.1-i586-1vl70. See attached image
Logged

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: DVDStyler not working.
« Reply #11 on: October 03, 2012, 10:23:46 pm »

I just noticed that I have a newer version of wxGTK installed.  So, maybe that would help.  Try installing the version here --> wxgtk-2.8.12-i686-2cf.txz.

Note:  The claim I made in my previous post (link) was incorrect.  While I have two versions of wxgtk installed, the one that dvdstyler relies upon is the newer one and not the Vector package in the repositories (2.8.11-i586-3vl70) as I had claimed.  So, I believe that you can get dvdstyler working if you install the newer wxgtk (2.8.12).
« Last Edit: October 04, 2012, 07:48:00 am by MarkGrieveson »
Logged
I am using VL7.0 standard with XFCE

Locator

  • Vectorian
  • ****
  • Posts: 767
Re: DVDStyler not working.
« Reply #12 on: October 04, 2012, 10:51:05 am »

I tried doing that (as root) and got the following response:

vector:/~
root:# slapt-get --install wxgtk-2.8.12-i686-2cf.txz
Reading Package Lists...Done
No such package: wxgtk-2.8.12-i686-2cf.txz
Logged

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: DVDStyler not working.
« Reply #13 on: October 04, 2012, 02:59:06 pm »

I tried doing that (as root) and got the following response:

vector:/~
root:# slapt-get --install wxgtk-2.8.12-i686-2cf.txz
Reading Package Lists...Done
No such package: wxgtk-2.8.12-i686-2cf.txz


No, it's not in the Vector repositories.  It is a Slackware package.  So, you would need to download the package, and then right-click on it within Thunar, and select "install package".  Or, if you prefer the command line, download the package, and using the terminal, go to the directory that you've downloaded the package, and use the command "installpkg wxgtk-2.8.12-i686-2cf.txz".
Logged
I am using VL7.0 standard with XFCE

Locator

  • Vectorian
  • ****
  • Posts: 767
Re: DVDStyler not working.
« Reply #14 on: October 04, 2012, 04:39:33 pm »

I tried doing that, then when I went to run DVDStyler again (from the terminal) I got the following -

root:# dvdstyler
dvdstyler: error while loading shared libraries: libavformat.so.52: cannot open shared object file: No such file or directory
« Last Edit: October 04, 2012, 05:33:29 pm by Locator »
Logged
Pages: [1] 2 3 4